@import "@/styles/variables";

.search {
    &-wrapper {
        display: grid;
        grid-template-areas: "search";

        > * {
            grid-area: search;
        }

        .icon-frame {
            transform: translateX(70%);
            align-self: center;
            width: 1rem;
            height: 1rem;

            @include notebook {
                width: 1.5rem;
                height: 1.5rem;
            }

            &-right {
                transform: translateX(-50%) translateY(-20%);
                font-family: $primary-font-bold;
                font-size: calc($fs-p-lg + 0.4rem);
                vertical-align: middle;
                place-self: center flex-end;
                line-height: 1.5rem;
                cursor: pointer;

                @include notebook {
                    transform: translateX(-50%) translateY(0%);
                }

                &:hover {
                    filter: opacity(70%);
                    color: $primary-color;
                }
            }
        }
    }

    &-input {
        padding: 0 0.5rem 0 2.5rem;
        width: 100%;
        border: 1px solid $primary-color-light;
        background-color: rgb($gray-lighter, 10%);
        height: 2.5rem;

        @include paragraph-sm;

        @include tablet {
            font-size: $fs-p-lg;
            line-height: 100%;
        }

        @include notebook {
            height: 3.5rem;
            padding-left: 3.5rem;
            font-size: $fs-h5-mobile;
        }
    }
}



